LibreOffice: XAllListener Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XAllListener Interface Referencepublished

specifies a listener combining all methods of a listener interface in a single generic call. More...

`import"XAllListener.idl";`

Inheritance diagram for XAllListener:

## Public Member Functions
void | firing ([in] com::sun::star::script::AllEventObject iaEvent)
| gets called when an event occurs at the object. More...
any | approveFiring ([in] com::sun::star::script::AllEventObject aEvent) raises ( com::sun::star::reflection::InvocationTargetException )
| gets called when a "vetoable event" occurs at the object. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a listener combining all methods of a listener interface in a single generic call.

Without any output parameters, it is possible to adapt any interface if the XAllListenerAdapterService can generate an adapter.

## Member Function Documentation

## ◆ approveFiring()

any approveFiring | ( | [in] com::sun::star::script::AllEventObject | aEvent | ) |
raises | ( | com::sun::star::reflection::InvocationTargetException
| ) |  |

gets called when a "vetoable event" occurs at the object.

That happens when the listener method raises an exception, or has a return value declared.

## ◆ firing()

void firing | ( | [in] com::sun::star::script::AllEventObject | iaEvent | ) |

gets called when an event occurs at the object.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XAllListener.idl